Package Details: telegram-cli-git r1357.3da0e4a-1

Git Clone URL: https://aur.archlinux.org/telegram-cli-git.git (read-only, click to copy)
Package Base: telegram-cli-git
Description: Telegram messenger CLI
Upstream URL: https://github.com/kenorb-contrib/tg
Licenses: GPL2
Conflicts: telegram-cli
Provides: telegram-cli
Submitter: dywedir
Maintainer: drrossum
Last Packager: drrossum
Votes: 148
Popularity: 0.29
First Submitted: 2015-08-18 12:14
Last Updated: 2020-06-18 11:23

Latest Comments

« First ‹ Previous ... 5 6 7 8 9 10

trichards commented on 2014-02-06 18:43

AlbertoAru: Telegram requires the MTProto server public key in order to function.

It can be found here: https://core.telegram.org/api/obtaining_api_id

AlbertoAru commented on 2014-02-05 21:10

┌─ alberto manjaro ~
└──┤|▶ telegram
Telegram-client version 0.01-beta, Copyright (C) 2013 Vitaly Valtman
Telegram-client comes with ABSOLUTELY NO WARRANTY; for details type `show_license'.
This is free software, and you are welcome to redistribute it
under certain conditions; type `show_license' for details.
*** Couldn't open public key file: tg.pub
*** Couldn't open public key file: /etc/telegram/server.pub
rsa_load_public_key: No such file or directory

---------------------------------------------------------------------
libconfig and lua are installed on my computer.

cippaciong commented on 2014-01-16 18:00

Thanks!

trichards commented on 2014-01-16 15:29

Added lua dependency.
openssl and zlib dependencies are met indirectly via pacman -> curl.

cippaciong commented on 2014-01-15 13:07

I think there are more dependencies needed:
- lua
- readline
- openssl

trichards commented on 2013-12-26 15:50

Added libconfig to depends.

petRUShka commented on 2013-12-20 13:59

As it should be :)

petRUShka commented on 2013-12-20 13:59

Why don't you add libconfig as dependency of telegram-git?

vinzzz22 commented on 2013-12-19 09:13

yaourt -S libconfig will help ;)

extra/libconfig 1.4.9-2
C/C++ Configuration File Library

petRUShka commented on 2013-12-19 05:23

Error on build stage. I think some dependency is missed.

checking Checking for libconfig... enabled
checking for config_init in -lconfig... no
configure: error: No libconfig found. Try --disable-libconfig